|
|
9ae3a8 |
From 6b1816a687831a1622637ed10605759d9e90aa9c Mon Sep 17 00:00:00 2001
|
|
|
9ae3a8 |
From: Kevin Wolf <kwolf@redhat.com>
|
|
|
9ae3a8 |
Date: Tue, 25 Feb 2014 15:00:05 +0100
|
|
|
9ae3a8 |
Subject: [PATCH 7/7] qemu-iotests: Check qemu-img command line parsing
|
|
|
9ae3a8 |
|
|
|
9ae3a8 |
RH-Author: Kevin Wolf <kwolf@redhat.com>
|
|
|
9ae3a8 |
Message-id: <1393340405-9936-7-git-send-email-kwolf@redhat.com>
|
|
|
9ae3a8 |
Patchwork-id: 57798
|
|
|
9ae3a8 |
O-Subject: [RHEL-7.0 qemu-kvm PATCH 6/6] qemu-iotests: Check qemu-img command line parsing
|
|
|
9ae3a8 |
Bugzilla: 1065873
|
|
|
9ae3a8 |
RH-Acked-by: Juan Quintela <quintela@redhat.com>
|
|
|
9ae3a8 |
RH-Acked-by: Fam Zheng <famz@redhat.com>
|
|
|
9ae3a8 |
RH-Acked-by: Miroslav Rezanina <mrezanin@redhat.com>
|
|
|
9ae3a8 |
|
|
|
9ae3a8 |
Signed-off-by: Kevin Wolf <kwolf@redhat.com>
|
|
|
9ae3a8 |
Reviewed-by: Jeff Cody <jcody@redhat.com>
|
|
|
9ae3a8 |
Reviewed-by: Eric Blake <eblake@redhat.com>
|
|
|
9ae3a8 |
(cherry picked from commit a33cc31d08eb46ec2a4f214087c99e4bd4c907e9)
|
|
|
9ae3a8 |
|
|
|
9ae3a8 |
Changed reference test output for RHEL 7, which has different error
|
|
|
9ae3a8 |
messages than upstream.
|
|
|
9ae3a8 |
|
|
|
9ae3a8 |
Signed-off-by: Kevin Wolf <kwolf@redhat.com>
|
|
|
9ae3a8 |
---
|
|
|
9ae3a8 |
tests/qemu-iotests/082 | 208 ++++++++++++++++++
|
|
|
9ae3a8 |
tests/qemu-iotests/082.out | 529 +++++++++++++++++++++++++++++++++++++++++++++
|
|
|
9ae3a8 |
tests/qemu-iotests/group | 1 +
|
|
|
9ae3a8 |
3 files changed, 738 insertions(+)
|
|
|
9ae3a8 |
create mode 100755 tests/qemu-iotests/082
|
|
|
9ae3a8 |
create mode 100644 tests/qemu-iotests/082.out
|
|
|
9ae3a8 |
|
|
|
9ae3a8 |
Signed-off-by: Miroslav Rezanina <mrezanin@redhat.com>
|
|
|
9ae3a8 |
---
|
|
|
9ae3a8 |
tests/qemu-iotests/082 | 208 +++++++++++++++++
|
|
|
9ae3a8 |
tests/qemu-iotests/082.out | 529 ++++++++++++++++++++++++++++++++++++++++++++
|
|
|
9ae3a8 |
tests/qemu-iotests/group | 1 +
|
|
|
9ae3a8 |
3 files changed, 738 insertions(+), 0 deletions(-)
|
|
|
9ae3a8 |
create mode 100755 tests/qemu-iotests/082
|
|
|
9ae3a8 |
create mode 100644 tests/qemu-iotests/082.out
|
|
|
9ae3a8 |
|
|
|
9ae3a8 |
diff --git a/tests/qemu-iotests/082 b/tests/qemu-iotests/082
|
|
|
9ae3a8 |
new file mode 100755
|
|
|
9ae3a8 |
index 0000000..f6eb75f
|
|
|
9ae3a8 |
--- /dev/null
|
|
|
9ae3a8 |
+++ b/tests/qemu-iotests/082
|
|
|
9ae3a8 |
@@ -0,0 +1,208 @@
|
|
|
9ae3a8 |
+#!/bin/bash
|
|
|
9ae3a8 |
+#
|
|
|
9ae3a8 |
+# Test qemu-img command line parsing
|
|
|
9ae3a8 |
+#
|
|
|
9ae3a8 |
+# Copyright (C) 2014 Red Hat, Inc.
|
|
|
9ae3a8 |
+#
|
|
|
9ae3a8 |
+# This program is free software; you can redistribute it and/or modify
|
|
|
9ae3a8 |
+# it under the terms of the GNU General Public License as published by
|
|
|
9ae3a8 |
+# the Free Software Foundation; either version 2 of the License, or
|
|
|
9ae3a8 |
+# (at your option) any later version.
|
|
|
9ae3a8 |
+#
|
|
|
9ae3a8 |
+# This program is distributed in the hope that it will be useful,
|
|
|
9ae3a8 |
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
|
|
|
9ae3a8 |
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
|
|
|
9ae3a8 |
+# GNU General Public License for more details.
|
|
|
9ae3a8 |
+#
|
|
|
9ae3a8 |
+# You should have received a copy of the GNU General Public License
|
|
|
9ae3a8 |
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
|
|
|
9ae3a8 |
+#
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# creator
|
|
|
9ae3a8 |
+owner=kwolf@redhat.com
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+seq=`basename $0`
|
|
|
9ae3a8 |
+echo "QA output created by $seq"
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+here=`pwd`
|
|
|
9ae3a8 |
+tmp=/tmp/$$
|
|
|
9ae3a8 |
+status=1 # failure is the default!
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+_cleanup()
|
|
|
9ae3a8 |
+{
|
|
|
9ae3a8 |
+ _cleanup_test_img
|
|
|
9ae3a8 |
+}
|
|
|
9ae3a8 |
+trap "_cleanup; exit \$status" 0 1 2 3 15
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# get standard environment, filters and checks
|
|
|
9ae3a8 |
+. ./common.rc
|
|
|
9ae3a8 |
+. ./common.filter
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+_supported_fmt qcow2
|
|
|
9ae3a8 |
+_supported_proto file
|
|
|
9ae3a8 |
+_supported_os Linux
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+function run_qemu_img()
|
|
|
9ae3a8 |
+{
|
|
|
9ae3a8 |
+ echo
|
|
|
9ae3a8 |
+ echo Testing: "$@" | _filter_testdir
|
|
|
9ae3a8 |
+ "$QEMU_IMG" "$@" 2>&1 | _filter_testdir
|
|
|
9ae3a8 |
+}
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+size=128M
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+echo
|
|
|
9ae3a8 |
+echo === create: Options specified more than once ===
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# Last -f should win
|
|
|
9ae3a8 |
+run_qemu_img create -f foo -f $IMGFMT "$TEST_IMG" $size
|
|
|
9ae3a8 |
+run_qemu_img info "$TEST_IMG"
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# Multiple -o should be merged
|
|
|
9ae3a8 |
+run_qemu_img create -f $IMGFMT -o cluster_size=4k -o lazy_refcounts=on "$TEST_IMG" $size
|
|
|
9ae3a8 |
+run_qemu_img info "$TEST_IMG"
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# If the same -o key is specified more than once, the last one wins
|
|
|
9ae3a8 |
+run_qemu_img create -f $IMGFMT -o cluster_size=4k -o lazy_refcounts=on -o cluster_size=8k "$TEST_IMG" $size
|
|
|
9ae3a8 |
+run_qemu_img info "$TEST_IMG"
|
|
|
9ae3a8 |
+run_qemu_img create -f $IMGFMT -o cluster_size=4k,cluster_size=8k "$TEST_IMG" $size
|
|
|
9ae3a8 |
+run_qemu_img info "$TEST_IMG"
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+echo
|
|
|
9ae3a8 |
+echo === create: help for -o ===
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# Adding the help option to a command without other -o options
|
|
|
9ae3a8 |
+run_qemu_img create -f $IMGFMT -o help "$TEST_IMG" $size
|
|
|
9ae3a8 |
+run_qemu_img create -f $IMGFMT -o \? "$TEST_IMG" $size
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# Adding the help option to the same -o option
|
|
|
9ae3a8 |
+run_qemu_img create -f $IMGFMT -o cluster_size=4k,help "$TEST_IMG" $size
|
|
|
9ae3a8 |
+run_qemu_img create -f $IMGFMT -o cluster_size=4k,\? "$TEST_IMG" $size
|
|
|
9ae3a8 |
+run_qemu_img create -f $IMGFMT -o help,cluster_size=4k "$TEST_IMG" $size
|
|
|
9ae3a8 |
+run_qemu_img create -f $IMGFMT -o \?,cluster_size=4k "$TEST_IMG" $size
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# Adding the help option to a separate -o option
|
|
|
9ae3a8 |
+run_qemu_img create -f $IMGFMT -o cluster_size=4k -o help "$TEST_IMG" $size
|
|
|
9ae3a8 |
+run_qemu_img create -f $IMGFMT -o cluster_size=4k -o \? "$TEST_IMG" $size
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# Looks like a help option, but is part of the backing file name
|
|
|
9ae3a8 |
+run_qemu_img create -f $IMGFMT -o backing_file="$TEST_IMG",,help "$TEST_IMG" $size
|
|
|
9ae3a8 |
+run_qemu_img create -f $IMGFMT -o backing_file="$TEST_IMG",,\? "$TEST_IMG" $size
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# Try to trick qemu-img into creating escaped commas
|
|
|
9ae3a8 |
+run_qemu_img create -f $IMGFMT -o backing_file="$TEST_IMG", -o help "$TEST_IMG" $size
|
|
|
9ae3a8 |
+run_qemu_img create -f $IMGFMT -o backing_file="$TEST_IMG" -o ,help "$TEST_IMG" $size
|
|
|
9ae3a8 |
+run_qemu_img create -f $IMGFMT -o backing_file="$TEST_IMG" -o ,, -o help "$TEST_IMG" $size
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# Leave out everything that isn't needed
|
|
|
9ae3a8 |
+run_qemu_img create -f $IMGFMT -o help
|
|
|
9ae3a8 |
+run_qemu_img create -o help
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+echo
|
|
|
9ae3a8 |
+echo === convert: Options specified more than once ===
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# We need a valid source image
|
|
|
9ae3a8 |
+run_qemu_img create -f $IMGFMT "$TEST_IMG" $size
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# Last -f should win
|
|
|
9ae3a8 |
+run_qemu_img convert -f foo -f $IMGFMT "$TEST_IMG" "$TEST_IMG".base
|
|
|
9ae3a8 |
+run_qemu_img info "$TEST_IMG".base
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# Last -O should win
|
|
|
9ae3a8 |
+run_qemu_img convert -O foo -O $IMGFMT "$TEST_IMG" "$TEST_IMG".base
|
|
|
9ae3a8 |
+run_qemu_img info "$TEST_IMG".base
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# Multiple -o should be merged
|
|
|
9ae3a8 |
+run_qemu_img convert -O $IMGFMT -o cluster_size=4k -o lazy_refcounts=on "$TEST_IMG" "$TEST_IMG".base
|
|
|
9ae3a8 |
+run_qemu_img info "$TEST_IMG".base
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# If the same -o key is specified more than once, the last one wins
|
|
|
9ae3a8 |
+run_qemu_img convert -O $IMGFMT -o cluster_size=4k -o lazy_refcounts=on -o cluster_size=8k "$TEST_IMG" "$TEST_IMG".base
|
|
|
9ae3a8 |
+run_qemu_img info "$TEST_IMG".base
|
|
|
9ae3a8 |
+run_qemu_img convert -O $IMGFMT -o cluster_size=4k,cluster_size=8k "$TEST_IMG" "$TEST_IMG".base
|
|
|
9ae3a8 |
+run_qemu_img info "$TEST_IMG".base
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+echo
|
|
|
9ae3a8 |
+echo === convert: help for -o ===
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# Adding the help option to a command without other -o options
|
|
|
9ae3a8 |
+run_qemu_img convert -O $IMGFMT -o help "$TEST_IMG" "$TEST_IMG".base
|
|
|
9ae3a8 |
+run_qemu_img convert -O $IMGFMT -o \? "$TEST_IMG" "$TEST_IMG".base
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# Adding the help option to the same -o option
|
|
|
9ae3a8 |
+run_qemu_img convert -O $IMGFMT -o cluster_size=4k,help "$TEST_IMG" "$TEST_IMG".base
|
|
|
9ae3a8 |
+run_qemu_img convert -O $IMGFMT -o cluster_size=4k,\? "$TEST_IMG" "$TEST_IMG".base
|
|
|
9ae3a8 |
+run_qemu_img convert -O $IMGFMT -o help,cluster_size=4k "$TEST_IMG" "$TEST_IMG".base
|
|
|
9ae3a8 |
+run_qemu_img convert -O $IMGFMT -o \?,cluster_size=4k "$TEST_IMG" "$TEST_IMG".base
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# Adding the help option to a separate -o option
|
|
|
9ae3a8 |
+run_qemu_img convert -O $IMGFMT -o cluster_size=4k -o help "$TEST_IMG" "$TEST_IMG".base
|
|
|
9ae3a8 |
+run_qemu_img convert -O $IMGFMT -o cluster_size=4k -o \? "$TEST_IMG" "$TEST_IMG".base
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# Looks like a help option, but is part of the backing file name
|
|
|
9ae3a8 |
+run_qemu_img convert -O $IMGFMT -o backing_file="$TEST_IMG",,help "$TEST_IMG" "$TEST_IMG".base
|
|
|
9ae3a8 |
+run_qemu_img convert -O $IMGFMT -o backing_file="$TEST_IMG",,\? "$TEST_IMG" "$TEST_IMG".base
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# Try to trick qemu-img into creating escaped commas
|
|
|
9ae3a8 |
+run_qemu_img convert -O $IMGFMT -o backing_file="$TEST_IMG", -o help "$TEST_IMG" "$TEST_IMG".base
|
|
|
9ae3a8 |
+run_qemu_img convert -O $IMGFMT -o backing_file="$TEST_IMG" -o ,help "$TEST_IMG" "$TEST_IMG".base
|
|
|
9ae3a8 |
+run_qemu_img convert -O $IMGFMT -o backing_file="$TEST_IMG" -o ,, -o help "$TEST_IMG" "$TEST_IMG".base
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# Leave out everything that isn't needed
|
|
|
9ae3a8 |
+run_qemu_img convert -O $IMGFMT -o help
|
|
|
9ae3a8 |
+run_qemu_img convert -o help
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+echo
|
|
|
9ae3a8 |
+echo === amend: Options specified more than once ===
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# Last -f should win
|
|
|
9ae3a8 |
+run_qemu_img amend -f foo -f $IMGFMT -o lazy_refcounts=on "$TEST_IMG"
|
|
|
9ae3a8 |
+run_qemu_img info "$TEST_IMG"
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# Multiple -o should be merged
|
|
|
9ae3a8 |
+run_qemu_img amend -f $IMGFMT -o size=130M -o lazy_refcounts=off "$TEST_IMG"
|
|
|
9ae3a8 |
+run_qemu_img info "$TEST_IMG"
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# If the same -o key is specified more than once, the last one wins
|
|
|
9ae3a8 |
+run_qemu_img amend -f $IMGFMT -o size=8M -o lazy_refcounts=on -o size=132M "$TEST_IMG"
|
|
|
9ae3a8 |
+run_qemu_img info "$TEST_IMG"
|
|
|
9ae3a8 |
+run_qemu_img amend -f $IMGFMT -o size=4M,size=148M "$TEST_IMG"
|
|
|
9ae3a8 |
+run_qemu_img info "$TEST_IMG"
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+echo
|
|
|
9ae3a8 |
+echo === amend: help for -o ===
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# Adding the help option to a command without other -o options
|
|
|
9ae3a8 |
+run_qemu_img amend -f $IMGFMT -o help "$TEST_IMG"
|
|
|
9ae3a8 |
+run_qemu_img amend -f $IMGFMT -o \? "$TEST_IMG"
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# Adding the help option to the same -o option
|
|
|
9ae3a8 |
+run_qemu_img amend -f $IMGFMT -o cluster_size=4k,help "$TEST_IMG"
|
|
|
9ae3a8 |
+run_qemu_img amend -f $IMGFMT -o cluster_size=4k,\? "$TEST_IMG"
|
|
|
9ae3a8 |
+run_qemu_img amend -f $IMGFMT -o help,cluster_size=4k "$TEST_IMG"
|
|
|
9ae3a8 |
+run_qemu_img amend -f $IMGFMT -o \?,cluster_size=4k "$TEST_IMG"
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# Adding the help option to a separate -o option
|
|
|
9ae3a8 |
+run_qemu_img amend -f $IMGFMT -o cluster_size=4k -o help "$TEST_IMG"
|
|
|
9ae3a8 |
+run_qemu_img amend -f $IMGFMT -o cluster_size=4k -o \? "$TEST_IMG"
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# Looks like a help option, but is part of the backing file name
|
|
|
9ae3a8 |
+run_qemu_img amend -f $IMGFMT -o backing_file="$TEST_IMG",,help "$TEST_IMG"
|
|
|
9ae3a8 |
+run_qemu_img rebase -u -b "" -f $IMGFMT "$TEST_IMG"
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+run_qemu_img amend -f $IMGFMT -o backing_file="$TEST_IMG",,\? "$TEST_IMG"
|
|
|
9ae3a8 |
+run_qemu_img rebase -u -b "" -f $IMGFMT "$TEST_IMG"
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# Try to trick qemu-img into creating escaped commas
|
|
|
9ae3a8 |
+run_qemu_img amend -f $IMGFMT -o backing_file="$TEST_IMG", -o help "$TEST_IMG"
|
|
|
9ae3a8 |
+run_qemu_img amend -f $IMGFMT -o backing_file="$TEST_IMG" -o ,help "$TEST_IMG"
|
|
|
9ae3a8 |
+run_qemu_img amend -f $IMGFMT -o backing_file="$TEST_IMG" -o ,, -o help "$TEST_IMG"
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# Leave out everything that isn't needed
|
|
|
9ae3a8 |
+run_qemu_img amend -f $IMGFMT -o help
|
|
|
9ae3a8 |
+run_qemu_img convert -o help
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+# success, all done
|
|
|
9ae3a8 |
+echo "*** done"
|
|
|
9ae3a8 |
+rm -f $seq.full
|
|
|
9ae3a8 |
+status=0
|
|
|
9ae3a8 |
diff --git a/tests/qemu-iotests/082.out b/tests/qemu-iotests/082.out
|
|
|
9ae3a8 |
new file mode 100644
|
|
|
9ae3a8 |
index 0000000..d71610b
|
|
|
9ae3a8 |
--- /dev/null
|
|
|
9ae3a8 |
+++ b/tests/qemu-iotests/082.out
|
|
|
9ae3a8 |
@@ -0,0 +1,529 @@
|
|
|
9ae3a8 |
+QA output created by 082
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+=== create: Options specified more than once ===
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: create -f foo -f qcow2 TEST_DIR/t.qcow2 128M
|
|
|
9ae3a8 |
+Formatting 'TEST_DIR/t.qcow2', fmt=qcow2 size=134217728 encryption=off cluster_size=65536 lazy_refcounts=off
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: info TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+image: TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+file format: qcow2
|
|
|
9ae3a8 |
+virtual size: 128M (134217728 bytes)
|
|
|
9ae3a8 |
+disk size: 196K
|
|
|
9ae3a8 |
+cluster_size: 65536
|
|
|
9ae3a8 |
+Format specific information:
|
|
|
9ae3a8 |
+ compat: 1.1
|
|
|
9ae3a8 |
+ lazy refcounts: false
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: create -f qcow2 -o cluster_size=4k -o lazy_refcounts=on TEST_DIR/t.qcow2 128M
|
|
|
9ae3a8 |
+Formatting 'TEST_DIR/t.qcow2', fmt=qcow2 size=134217728 encryption=off cluster_size=4096 lazy_refcounts=on
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: info TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+image: TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+file format: qcow2
|
|
|
9ae3a8 |
+virtual size: 128M (134217728 bytes)
|
|
|
9ae3a8 |
+disk size: 16K
|
|
|
9ae3a8 |
+cluster_size: 4096
|
|
|
9ae3a8 |
+Format specific information:
|
|
|
9ae3a8 |
+ compat: 1.1
|
|
|
9ae3a8 |
+ lazy refcounts: true
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: create -f qcow2 -o cluster_size=4k -o lazy_refcounts=on -o cluster_size=8k TEST_DIR/t.qcow2 128M
|
|
|
9ae3a8 |
+Formatting 'TEST_DIR/t.qcow2', fmt=qcow2 size=134217728 encryption=off cluster_size=8192 lazy_refcounts=on
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: info TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+image: TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+file format: qcow2
|
|
|
9ae3a8 |
+virtual size: 128M (134217728 bytes)
|
|
|
9ae3a8 |
+disk size: 28K
|
|
|
9ae3a8 |
+cluster_size: 8192
|
|
|
9ae3a8 |
+Format specific information:
|
|
|
9ae3a8 |
+ compat: 1.1
|
|
|
9ae3a8 |
+ lazy refcounts: true
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: create -f qcow2 -o cluster_size=4k,cluster_size=8k TEST_DIR/t.qcow2 128M
|
|
|
9ae3a8 |
+Formatting 'TEST_DIR/t.qcow2', fmt=qcow2 size=134217728 encryption=off cluster_size=8192 lazy_refcounts=off
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: info TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+image: TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+file format: qcow2
|
|
|
9ae3a8 |
+virtual size: 128M (134217728 bytes)
|
|
|
9ae3a8 |
+disk size: 28K
|
|
|
9ae3a8 |
+cluster_size: 8192
|
|
|
9ae3a8 |
+Format specific information:
|
|
|
9ae3a8 |
+ compat: 1.1
|
|
|
9ae3a8 |
+ lazy refcounts: false
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+=== create: help for -o ===
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: create -f qcow2 -o help TEST_DIR/t.qcow2 128M
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+compat Compatibility level (0.10 or 1.1)
|
|
|
9ae3a8 |
+backing_file File name of a base image
|
|
|
9ae3a8 |
+backing_fmt Image format of the base image
|
|
|
9ae3a8 |
+encryption Encrypt the image
|
|
|
9ae3a8 |
+cluster_size qcow2 cluster size
|
|
|
9ae3a8 |
+preallocation Preallocation mode (allowed values: off, metadata)
|
|
|
9ae3a8 |
+lazy_refcounts Postpone refcount updates
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: create -f qcow2 -o ? TEST_DIR/t.qcow2 128M
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+compat Compatibility level (0.10 or 1.1)
|
|
|
9ae3a8 |
+backing_file File name of a base image
|
|
|
9ae3a8 |
+backing_fmt Image format of the base image
|
|
|
9ae3a8 |
+encryption Encrypt the image
|
|
|
9ae3a8 |
+cluster_size qcow2 cluster size
|
|
|
9ae3a8 |
+preallocation Preallocation mode (allowed values: off, metadata)
|
|
|
9ae3a8 |
+lazy_refcounts Postpone refcount updates
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: create -f qcow2 -o cluster_size=4k,help TEST_DIR/t.qcow2 128M
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+compat Compatibility level (0.10 or 1.1)
|
|
|
9ae3a8 |
+backing_file File name of a base image
|
|
|
9ae3a8 |
+backing_fmt Image format of the base image
|
|
|
9ae3a8 |
+encryption Encrypt the image
|
|
|
9ae3a8 |
+cluster_size qcow2 cluster size
|
|
|
9ae3a8 |
+preallocation Preallocation mode (allowed values: off, metadata)
|
|
|
9ae3a8 |
+lazy_refcounts Postpone refcount updates
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: create -f qcow2 -o cluster_size=4k,? TEST_DIR/t.qcow2 128M
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+compat Compatibility level (0.10 or 1.1)
|
|
|
9ae3a8 |
+backing_file File name of a base image
|
|
|
9ae3a8 |
+backing_fmt Image format of the base image
|
|
|
9ae3a8 |
+encryption Encrypt the image
|
|
|
9ae3a8 |
+cluster_size qcow2 cluster size
|
|
|
9ae3a8 |
+preallocation Preallocation mode (allowed values: off, metadata)
|
|
|
9ae3a8 |
+lazy_refcounts Postpone refcount updates
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: create -f qcow2 -o help,cluster_size=4k TEST_DIR/t.qcow2 128M
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+compat Compatibility level (0.10 or 1.1)
|
|
|
9ae3a8 |
+backing_file File name of a base image
|
|
|
9ae3a8 |
+backing_fmt Image format of the base image
|
|
|
9ae3a8 |
+encryption Encrypt the image
|
|
|
9ae3a8 |
+cluster_size qcow2 cluster size
|
|
|
9ae3a8 |
+preallocation Preallocation mode (allowed values: off, metadata)
|
|
|
9ae3a8 |
+lazy_refcounts Postpone refcount updates
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: create -f qcow2 -o ?,cluster_size=4k TEST_DIR/t.qcow2 128M
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+compat Compatibility level (0.10 or 1.1)
|
|
|
9ae3a8 |
+backing_file File name of a base image
|
|
|
9ae3a8 |
+backing_fmt Image format of the base image
|
|
|
9ae3a8 |
+encryption Encrypt the image
|
|
|
9ae3a8 |
+cluster_size qcow2 cluster size
|
|
|
9ae3a8 |
+preallocation Preallocation mode (allowed values: off, metadata)
|
|
|
9ae3a8 |
+lazy_refcounts Postpone refcount updates
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: create -f qcow2 -o cluster_size=4k -o help TEST_DIR/t.qcow2 128M
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+compat Compatibility level (0.10 or 1.1)
|
|
|
9ae3a8 |
+backing_file File name of a base image
|
|
|
9ae3a8 |
+backing_fmt Image format of the base image
|
|
|
9ae3a8 |
+encryption Encrypt the image
|
|
|
9ae3a8 |
+cluster_size qcow2 cluster size
|
|
|
9ae3a8 |
+preallocation Preallocation mode (allowed values: off, metadata)
|
|
|
9ae3a8 |
+lazy_refcounts Postpone refcount updates
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: create -f qcow2 -o cluster_size=4k -o ? TEST_DIR/t.qcow2 128M
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+compat Compatibility level (0.10 or 1.1)
|
|
|
9ae3a8 |
+backing_file File name of a base image
|
|
|
9ae3a8 |
+backing_fmt Image format of the base image
|
|
|
9ae3a8 |
+encryption Encrypt the image
|
|
|
9ae3a8 |
+cluster_size qcow2 cluster size
|
|
|
9ae3a8 |
+preallocation Preallocation mode (allowed values: off, metadata)
|
|
|
9ae3a8 |
+lazy_refcounts Postpone refcount updates
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: create -f qcow2 -o backing_file=TEST_DIR/t.qcow2,,help TEST_DIR/t.qcow2 128M
|
|
|
9ae3a8 |
+Formatting 'TEST_DIR/t.qcow2', fmt=qcow2 size=134217728 backing_file='TEST_DIR/t.qcow2,help' encryption=off cluster_size=65536 lazy_refcounts=off
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: create -f qcow2 -o backing_file=TEST_DIR/t.qcow2,,? TEST_DIR/t.qcow2 128M
|
|
|
9ae3a8 |
+Formatting 'TEST_DIR/t.qcow2', fmt=qcow2 size=134217728 backing_file='TEST_DIR/t.qcow2,?' encryption=off cluster_size=65536 lazy_refcounts=off
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: create -f qcow2 -o backing_file=TEST_DIR/t.qcow2, -o help TEST_DIR/t.qcow2 128M
|
|
|
9ae3a8 |
+qemu-img: Invalid option list: backing_file=TEST_DIR/t.qcow2,
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: create -f qcow2 -o backing_file=TEST_DIR/t.qcow2 -o ,help TEST_DIR/t.qcow2 128M
|
|
|
9ae3a8 |
+qemu-img: Invalid option list: ,help
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: create -f qcow2 -o backing_file=TEST_DIR/t.qcow2 -o ,, -o help TEST_DIR/t.qcow2 128M
|
|
|
9ae3a8 |
+qemu-img: Invalid option list: ,,
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: create -f qcow2 -o help
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+compat Compatibility level (0.10 or 1.1)
|
|
|
9ae3a8 |
+backing_file File name of a base image
|
|
|
9ae3a8 |
+backing_fmt Image format of the base image
|
|
|
9ae3a8 |
+encryption Encrypt the image
|
|
|
9ae3a8 |
+cluster_size qcow2 cluster size
|
|
|
9ae3a8 |
+preallocation Preallocation mode (allowed values: off, metadata)
|
|
|
9ae3a8 |
+lazy_refcounts Postpone refcount updates
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: create -o help
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+=== convert: Options specified more than once ===
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: create -f qcow2 TEST_DIR/t.qcow2 128M
|
|
|
9ae3a8 |
+Formatting 'TEST_DIR/t.qcow2', fmt=qcow2 size=134217728 encryption=off cluster_size=65536 lazy_refcounts=off
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: convert -f foo -f qcow2 TEST_DIR/t.qcow2 TEST_DIR/t.qcow2.base
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: info TEST_DIR/t.qcow2.base
|
|
|
9ae3a8 |
+image: TEST_DIR/t.qcow2.base
|
|
|
9ae3a8 |
+file format: raw
|
|
|
9ae3a8 |
+virtual size: 128M (134217728 bytes)
|
|
|
9ae3a8 |
+disk size: 0
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: convert -O foo -O qcow2 TEST_DIR/t.qcow2 TEST_DIR/t.qcow2.base
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: info TEST_DIR/t.qcow2.base
|
|
|
9ae3a8 |
+image: TEST_DIR/t.qcow2.base
|
|
|
9ae3a8 |
+file format: qcow2
|
|
|
9ae3a8 |
+virtual size: 128M (134217728 bytes)
|
|
|
9ae3a8 |
+disk size: 196K
|
|
|
9ae3a8 |
+cluster_size: 65536
|
|
|
9ae3a8 |
+Format specific information:
|
|
|
9ae3a8 |
+ compat: 1.1
|
|
|
9ae3a8 |
+ lazy refcounts: false
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: convert -O qcow2 -o cluster_size=4k -o lazy_refcounts=on TEST_DIR/t.qcow2 TEST_DIR/t.qcow2.base
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: info TEST_DIR/t.qcow2.base
|
|
|
9ae3a8 |
+image: TEST_DIR/t.qcow2.base
|
|
|
9ae3a8 |
+file format: qcow2
|
|
|
9ae3a8 |
+virtual size: 128M (134217728 bytes)
|
|
|
9ae3a8 |
+disk size: 16K
|
|
|
9ae3a8 |
+cluster_size: 4096
|
|
|
9ae3a8 |
+Format specific information:
|
|
|
9ae3a8 |
+ compat: 1.1
|
|
|
9ae3a8 |
+ lazy refcounts: true
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: convert -O qcow2 -o cluster_size=4k -o lazy_refcounts=on -o cluster_size=8k TEST_DIR/t.qcow2 TEST_DIR/t.qcow2.base
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: info TEST_DIR/t.qcow2.base
|
|
|
9ae3a8 |
+image: TEST_DIR/t.qcow2.base
|
|
|
9ae3a8 |
+file format: qcow2
|
|
|
9ae3a8 |
+virtual size: 128M (134217728 bytes)
|
|
|
9ae3a8 |
+disk size: 28K
|
|
|
9ae3a8 |
+cluster_size: 8192
|
|
|
9ae3a8 |
+Format specific information:
|
|
|
9ae3a8 |
+ compat: 1.1
|
|
|
9ae3a8 |
+ lazy refcounts: true
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: convert -O qcow2 -o cluster_size=4k,cluster_size=8k TEST_DIR/t.qcow2 TEST_DIR/t.qcow2.base
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: info TEST_DIR/t.qcow2.base
|
|
|
9ae3a8 |
+image: TEST_DIR/t.qcow2.base
|
|
|
9ae3a8 |
+file format: qcow2
|
|
|
9ae3a8 |
+virtual size: 128M (134217728 bytes)
|
|
|
9ae3a8 |
+disk size: 28K
|
|
|
9ae3a8 |
+cluster_size: 8192
|
|
|
9ae3a8 |
+Format specific information:
|
|
|
9ae3a8 |
+ compat: 1.1
|
|
|
9ae3a8 |
+ lazy refcounts: false
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+=== convert: help for -o ===
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: convert -O qcow2 -o help TEST_DIR/t.qcow2 TEST_DIR/t.qcow2.base
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+compat Compatibility level (0.10 or 1.1)
|
|
|
9ae3a8 |
+backing_file File name of a base image
|
|
|
9ae3a8 |
+backing_fmt Image format of the base image
|
|
|
9ae3a8 |
+encryption Encrypt the image
|
|
|
9ae3a8 |
+cluster_size qcow2 cluster size
|
|
|
9ae3a8 |
+preallocation Preallocation mode (allowed values: off, metadata)
|
|
|
9ae3a8 |
+lazy_refcounts Postpone refcount updates
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: convert -O qcow2 -o ? TEST_DIR/t.qcow2 TEST_DIR/t.qcow2.base
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+compat Compatibility level (0.10 or 1.1)
|
|
|
9ae3a8 |
+backing_file File name of a base image
|
|
|
9ae3a8 |
+backing_fmt Image format of the base image
|
|
|
9ae3a8 |
+encryption Encrypt the image
|
|
|
9ae3a8 |
+cluster_size qcow2 cluster size
|
|
|
9ae3a8 |
+preallocation Preallocation mode (allowed values: off, metadata)
|
|
|
9ae3a8 |
+lazy_refcounts Postpone refcount updates
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: convert -O qcow2 -o cluster_size=4k,help TEST_DIR/t.qcow2 TEST_DIR/t.qcow2.base
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+compat Compatibility level (0.10 or 1.1)
|
|
|
9ae3a8 |
+backing_file File name of a base image
|
|
|
9ae3a8 |
+backing_fmt Image format of the base image
|
|
|
9ae3a8 |
+encryption Encrypt the image
|
|
|
9ae3a8 |
+cluster_size qcow2 cluster size
|
|
|
9ae3a8 |
+preallocation Preallocation mode (allowed values: off, metadata)
|
|
|
9ae3a8 |
+lazy_refcounts Postpone refcount updates
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: convert -O qcow2 -o cluster_size=4k,? TEST_DIR/t.qcow2 TEST_DIR/t.qcow2.base
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+compat Compatibility level (0.10 or 1.1)
|
|
|
9ae3a8 |
+backing_file File name of a base image
|
|
|
9ae3a8 |
+backing_fmt Image format of the base image
|
|
|
9ae3a8 |
+encryption Encrypt the image
|
|
|
9ae3a8 |
+cluster_size qcow2 cluster size
|
|
|
9ae3a8 |
+preallocation Preallocation mode (allowed values: off, metadata)
|
|
|
9ae3a8 |
+lazy_refcounts Postpone refcount updates
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: convert -O qcow2 -o help,cluster_size=4k TEST_DIR/t.qcow2 TEST_DIR/t.qcow2.base
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+compat Compatibility level (0.10 or 1.1)
|
|
|
9ae3a8 |
+backing_file File name of a base image
|
|
|
9ae3a8 |
+backing_fmt Image format of the base image
|
|
|
9ae3a8 |
+encryption Encrypt the image
|
|
|
9ae3a8 |
+cluster_size qcow2 cluster size
|
|
|
9ae3a8 |
+preallocation Preallocation mode (allowed values: off, metadata)
|
|
|
9ae3a8 |
+lazy_refcounts Postpone refcount updates
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: convert -O qcow2 -o ?,cluster_size=4k TEST_DIR/t.qcow2 TEST_DIR/t.qcow2.base
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+compat Compatibility level (0.10 or 1.1)
|
|
|
9ae3a8 |
+backing_file File name of a base image
|
|
|
9ae3a8 |
+backing_fmt Image format of the base image
|
|
|
9ae3a8 |
+encryption Encrypt the image
|
|
|
9ae3a8 |
+cluster_size qcow2 cluster size
|
|
|
9ae3a8 |
+preallocation Preallocation mode (allowed values: off, metadata)
|
|
|
9ae3a8 |
+lazy_refcounts Postpone refcount updates
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: convert -O qcow2 -o cluster_size=4k -o help TEST_DIR/t.qcow2 TEST_DIR/t.qcow2.base
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+compat Compatibility level (0.10 or 1.1)
|
|
|
9ae3a8 |
+backing_file File name of a base image
|
|
|
9ae3a8 |
+backing_fmt Image format of the base image
|
|
|
9ae3a8 |
+encryption Encrypt the image
|
|
|
9ae3a8 |
+cluster_size qcow2 cluster size
|
|
|
9ae3a8 |
+preallocation Preallocation mode (allowed values: off, metadata)
|
|
|
9ae3a8 |
+lazy_refcounts Postpone refcount updates
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: convert -O qcow2 -o cluster_size=4k -o ? TEST_DIR/t.qcow2 TEST_DIR/t.qcow2.base
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+compat Compatibility level (0.10 or 1.1)
|
|
|
9ae3a8 |
+backing_file File name of a base image
|
|
|
9ae3a8 |
+backing_fmt Image format of the base image
|
|
|
9ae3a8 |
+encryption Encrypt the image
|
|
|
9ae3a8 |
+cluster_size qcow2 cluster size
|
|
|
9ae3a8 |
+preallocation Preallocation mode (allowed values: off, metadata)
|
|
|
9ae3a8 |
+lazy_refcounts Postpone refcount updates
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: convert -O qcow2 -o backing_file=TEST_DIR/t.qcow2,,help TEST_DIR/t.qcow2 TEST_DIR/t.qcow2.base
|
|
|
9ae3a8 |
+qemu-img: Could not open 'TEST_DIR/t.qcow2.base': Could not open file: No such file or directory
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: convert -O qcow2 -o backing_file=TEST_DIR/t.qcow2,,? TEST_DIR/t.qcow2 TEST_DIR/t.qcow2.base
|
|
|
9ae3a8 |
+qemu-img: Could not open 'TEST_DIR/t.qcow2.base': Could not open file: No such file or directory
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: convert -O qcow2 -o backing_file=TEST_DIR/t.qcow2, -o help TEST_DIR/t.qcow2 TEST_DIR/t.qcow2.base
|
|
|
9ae3a8 |
+qemu-img: Invalid option list: backing_file=TEST_DIR/t.qcow2,
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: convert -O qcow2 -o backing_file=TEST_DIR/t.qcow2 -o ,help TEST_DIR/t.qcow2 TEST_DIR/t.qcow2.base
|
|
|
9ae3a8 |
+qemu-img: Invalid option list: ,help
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: convert -O qcow2 -o backing_file=TEST_DIR/t.qcow2 -o ,, -o help TEST_DIR/t.qcow2 TEST_DIR/t.qcow2.base
|
|
|
9ae3a8 |
+qemu-img: Invalid option list: ,,
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: convert -O qcow2 -o help
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+compat Compatibility level (0.10 or 1.1)
|
|
|
9ae3a8 |
+backing_file File name of a base image
|
|
|
9ae3a8 |
+backing_fmt Image format of the base image
|
|
|
9ae3a8 |
+encryption Encrypt the image
|
|
|
9ae3a8 |
+cluster_size qcow2 cluster size
|
|
|
9ae3a8 |
+preallocation Preallocation mode (allowed values: off, metadata)
|
|
|
9ae3a8 |
+lazy_refcounts Postpone refcount updates
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: convert -o help
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+=== amend: Options specified more than once ===
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: amend -f foo -f qcow2 -o lazy_refcounts=on TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: info TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+image: TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+file format: qcow2
|
|
|
9ae3a8 |
+virtual size: 128M (134217728 bytes)
|
|
|
9ae3a8 |
+disk size: 196K
|
|
|
9ae3a8 |
+cluster_size: 65536
|
|
|
9ae3a8 |
+Format specific information:
|
|
|
9ae3a8 |
+ compat: 1.1
|
|
|
9ae3a8 |
+ lazy refcounts: true
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: amend -f qcow2 -o size=130M -o lazy_refcounts=off TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: info TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+image: TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+file format: qcow2
|
|
|
9ae3a8 |
+virtual size: 130M (136314880 bytes)
|
|
|
9ae3a8 |
+disk size: 196K
|
|
|
9ae3a8 |
+cluster_size: 65536
|
|
|
9ae3a8 |
+Format specific information:
|
|
|
9ae3a8 |
+ compat: 1.1
|
|
|
9ae3a8 |
+ lazy refcounts: false
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: amend -f qcow2 -o size=8M -o lazy_refcounts=on -o size=132M TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: info TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+image: TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+file format: qcow2
|
|
|
9ae3a8 |
+virtual size: 132M (138412032 bytes)
|
|
|
9ae3a8 |
+disk size: 196K
|
|
|
9ae3a8 |
+cluster_size: 65536
|
|
|
9ae3a8 |
+Format specific information:
|
|
|
9ae3a8 |
+ compat: 1.1
|
|
|
9ae3a8 |
+ lazy refcounts: true
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: amend -f qcow2 -o size=4M,size=148M TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: info TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+image: TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+file format: qcow2
|
|
|
9ae3a8 |
+virtual size: 148M (155189248 bytes)
|
|
|
9ae3a8 |
+disk size: 196K
|
|
|
9ae3a8 |
+cluster_size: 65536
|
|
|
9ae3a8 |
+Format specific information:
|
|
|
9ae3a8 |
+ compat: 1.1
|
|
|
9ae3a8 |
+ lazy refcounts: true
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+=== amend: help for -o ===
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: amend -f qcow2 -o help TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+compat Compatibility level (0.10 or 1.1)
|
|
|
9ae3a8 |
+backing_file File name of a base image
|
|
|
9ae3a8 |
+backing_fmt Image format of the base image
|
|
|
9ae3a8 |
+encryption Encrypt the image
|
|
|
9ae3a8 |
+cluster_size qcow2 cluster size
|
|
|
9ae3a8 |
+preallocation Preallocation mode (allowed values: off, metadata)
|
|
|
9ae3a8 |
+lazy_refcounts Postpone refcount updates
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: amend -f qcow2 -o ? TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+compat Compatibility level (0.10 or 1.1)
|
|
|
9ae3a8 |
+backing_file File name of a base image
|
|
|
9ae3a8 |
+backing_fmt Image format of the base image
|
|
|
9ae3a8 |
+encryption Encrypt the image
|
|
|
9ae3a8 |
+cluster_size qcow2 cluster size
|
|
|
9ae3a8 |
+preallocation Preallocation mode (allowed values: off, metadata)
|
|
|
9ae3a8 |
+lazy_refcounts Postpone refcount updates
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: amend -f qcow2 -o cluster_size=4k,help TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+compat Compatibility level (0.10 or 1.1)
|
|
|
9ae3a8 |
+backing_file File name of a base image
|
|
|
9ae3a8 |
+backing_fmt Image format of the base image
|
|
|
9ae3a8 |
+encryption Encrypt the image
|
|
|
9ae3a8 |
+cluster_size qcow2 cluster size
|
|
|
9ae3a8 |
+preallocation Preallocation mode (allowed values: off, metadata)
|
|
|
9ae3a8 |
+lazy_refcounts Postpone refcount updates
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: amend -f qcow2 -o cluster_size=4k,? TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+compat Compatibility level (0.10 or 1.1)
|
|
|
9ae3a8 |
+backing_file File name of a base image
|
|
|
9ae3a8 |
+backing_fmt Image format of the base image
|
|
|
9ae3a8 |
+encryption Encrypt the image
|
|
|
9ae3a8 |
+cluster_size qcow2 cluster size
|
|
|
9ae3a8 |
+preallocation Preallocation mode (allowed values: off, metadata)
|
|
|
9ae3a8 |
+lazy_refcounts Postpone refcount updates
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: amend -f qcow2 -o help,cluster_size=4k TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+compat Compatibility level (0.10 or 1.1)
|
|
|
9ae3a8 |
+backing_file File name of a base image
|
|
|
9ae3a8 |
+backing_fmt Image format of the base image
|
|
|
9ae3a8 |
+encryption Encrypt the image
|
|
|
9ae3a8 |
+cluster_size qcow2 cluster size
|
|
|
9ae3a8 |
+preallocation Preallocation mode (allowed values: off, metadata)
|
|
|
9ae3a8 |
+lazy_refcounts Postpone refcount updates
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: amend -f qcow2 -o ?,cluster_size=4k TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+compat Compatibility level (0.10 or 1.1)
|
|
|
9ae3a8 |
+backing_file File name of a base image
|
|
|
9ae3a8 |
+backing_fmt Image format of the base image
|
|
|
9ae3a8 |
+encryption Encrypt the image
|
|
|
9ae3a8 |
+cluster_size qcow2 cluster size
|
|
|
9ae3a8 |
+preallocation Preallocation mode (allowed values: off, metadata)
|
|
|
9ae3a8 |
+lazy_refcounts Postpone refcount updates
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: amend -f qcow2 -o cluster_size=4k -o help TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+compat Compatibility level (0.10 or 1.1)
|
|
|
9ae3a8 |
+backing_file File name of a base image
|
|
|
9ae3a8 |
+backing_fmt Image format of the base image
|
|
|
9ae3a8 |
+encryption Encrypt the image
|
|
|
9ae3a8 |
+cluster_size qcow2 cluster size
|
|
|
9ae3a8 |
+preallocation Preallocation mode (allowed values: off, metadata)
|
|
|
9ae3a8 |
+lazy_refcounts Postpone refcount updates
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: amend -f qcow2 -o cluster_size=4k -o ? TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+compat Compatibility level (0.10 or 1.1)
|
|
|
9ae3a8 |
+backing_file File name of a base image
|
|
|
9ae3a8 |
+backing_fmt Image format of the base image
|
|
|
9ae3a8 |
+encryption Encrypt the image
|
|
|
9ae3a8 |
+cluster_size qcow2 cluster size
|
|
|
9ae3a8 |
+preallocation Preallocation mode (allowed values: off, metadata)
|
|
|
9ae3a8 |
+lazy_refcounts Postpone refcount updates
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: amend -f qcow2 -o backing_file=TEST_DIR/t.qcow2,,help TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: rebase -u -b -f qcow2 TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: amend -f qcow2 -o backing_file=TEST_DIR/t.qcow2,,? TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: rebase -u -b -f qcow2 TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: amend -f qcow2 -o backing_file=TEST_DIR/t.qcow2, -o help TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+qemu-img: Invalid option list: backing_file=TEST_DIR/t.qcow2,
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: amend -f qcow2 -o backing_file=TEST_DIR/t.qcow2 -o ,help TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+qemu-img: Invalid option list: ,help
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: amend -f qcow2 -o backing_file=TEST_DIR/t.qcow2 -o ,, -o help TEST_DIR/t.qcow2
|
|
|
9ae3a8 |
+qemu-img: Invalid option list: ,,
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: amend -f qcow2 -o help
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+compat Compatibility level (0.10 or 1.1)
|
|
|
9ae3a8 |
+backing_file File name of a base image
|
|
|
9ae3a8 |
+backing_fmt Image format of the base image
|
|
|
9ae3a8 |
+encryption Encrypt the image
|
|
|
9ae3a8 |
+cluster_size qcow2 cluster size
|
|
|
9ae3a8 |
+preallocation Preallocation mode (allowed values: off, metadata)
|
|
|
9ae3a8 |
+lazy_refcounts Postpone refcount updates
|
|
|
9ae3a8 |
+
|
|
|
9ae3a8 |
+Testing: convert -o help
|
|
|
9ae3a8 |
+Supported options:
|
|
|
9ae3a8 |
+size Virtual disk size
|
|
|
9ae3a8 |
+*** done
|
|
|
9ae3a8 |
diff --git a/tests/qemu-iotests/group b/tests/qemu-iotests/group
|
|
|
9ae3a8 |
index fce6ca8..ee95d6e 100644
|
|
|
9ae3a8 |
--- a/tests/qemu-iotests/group
|
|
|
9ae3a8 |
+++ b/tests/qemu-iotests/group
|
|
|
9ae3a8 |
@@ -73,3 +73,4 @@
|
|
|
9ae3a8 |
070 rw auto
|
|
|
9ae3a8 |
077 rw auto
|
|
|
9ae3a8 |
079 rw auto
|
|
|
9ae3a8 |
+082 rw auto quick
|
|
|
9ae3a8 |
--
|
|
|
9ae3a8 |
1.7.1
|
|
|
9ae3a8 |
|